#!/bin/sh

_sendosd () {
    text=$1
    type=$2
    timeout=$3
    printf "\n$text\n\n"
    text=`echo $text | sed "s/ /%20/g"`
    wget -q -O - "http://127.0.0.1/web/message?text=$text&type=$type&timeout=$timeout" >/dev/null 2>&1
}

if [[ `uname -r` != 2.6.18-7.3-dm800 ]]; then
    _sendosd "Versione del kernel non compatibile\nSi consiglia di installare:\n\n'Dream Elite BH 1.2.4 OE1.6 DM800'" 1 10
    exit 12
fi

find /sys/bus/usb/devices | while read mypath
do
    if [[ -f $mypath/idVendor && -f $mypath/idProduct ]]; then
        tmpDev=`basename $mypath | sed "s/usb\([0-9]*\)/\\1-0/"`
        Bus=`echo $tmpDev | cut -d\- -f1`
        Device=`echo $tmpDev | cut -d\- -f2`
        Vid=`cat $mypath/idVendor`
        Pid=`cat $mypath/idProduct`
        manufacturer=`cat $mypath/manufacturer 2>/dev/null`
        product=`cat $mypath/product 2>/dev/null`
        if [[ "x$1" = "xhelper" ]]; then
            printf "%s:%s\n" $Vid $Pid
        else
            printf "Bus %.3d Device %.3d: ID %s:%s %s,%s\n" $Bus $Device $Vid $Pid "$manufacturer" "$product"
        fi
    fi
done

